package TextareaTabEnabler::CMS;

use strict;
use warnings;

sub add_jq_js_include {
    my ($cb, $app, $template) = @_;

    my $old = <<HERE;
<mt:setvarblock name="jq_js_include" append="1">
HERE
    $old = quotemeta($old);

    my $new = <<HERE;
<mt:setvarblock name="jq_js_include" append="1">
    jQuery("#text").tabEnabler();
HERE
    $$template =~ s/$old/$new/;
}

sub add_html_head {
    my ($cb, $app, $template) = @_;

    my $old = <<HERE;
<mt:var name="html_head">
HERE
    $old = quotemeta($old);

    my $new = <<HERE;
<mt:var name="html_head">
<script type="text/javascript" src="<mt:var name="static_uri">plugins/TextareaTabEnabler/js/jquery.tabEnabler.js"></script>
HERE
    $$template =~ s/$old/$new/;
}

1;
